%define use_ccache 1
%{?_with_ccache: %global use_ccache 1}
%{?_without_ccache: %global use_ccache 0}

Name:           codelite
Version:        9.2
Release:        %mkrel 2
License:        GPLv2+
Group:          Development/Other
Summary:        CodeLite is a powerful open-source, cross platform code editor for C/C++
Summary(de):    CodeLite ist eine leistungsfähiger Open-Source Cross-Plattform Code-Editor für C/C++
URL:            http://sourceforge.net/projects/codelite
Source:         http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Source1:	codelite.desktop
Patch0:		codelite-9.2-add-missing-import.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires: 	wxgtk >= 3.0.2 
Requires:	xterm
BuildRequires: 	wxgtk3.0-devel
BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	hunspell-devel
BuildRequires:	libssh-devel < 1.0.0
BuildRequires:	clang-devel
BuildRequires:	sqlite3-devel

%description
CodeLite uses a sophisticated, yet intuitive interface which allows 
users to easily create, build and debug complex projects.

%description -l de
CodeLite verfügt über eine professionelle und dennoch intuitive Schnittstelle, die es
Benutzer auf einfache Weise erlaubt zu debuggen und komplexe Projekte zu erstellen.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p0 

%build
export LDFLAGS="$LDFLAGS -ldl -lsqlite3"
export PLUGINS_DIR="%{_libdir}/codelite"
%cmake -DCMAKE_BUILD_TYPE=Release \
       -DPREFIX=/usr
%make

%install
rm -rf %{buildroot}
pushd build
%makeinstall_std
popd

install -m 0644 %SOURCE1 $RPM_BUILD_ROOT%{_datadir}/applications/codelite.desktop

# fix the library installation location
mkdir -p %{buildroot}/%{_libdir}
mv %{buildroot}/usr/lib/%{name}/lib*.so %{buildroot}/%{_libdir}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc AUTHORS LICENSE COPYING
%{_bindir}/codelite
%{_bindir}/codelite-cc
%{_bindir}/codelite_cppcheck
%{_bindir}/codelite-echo
%{_bindir}/codelite_exec
%{_bindir}/codelite_fix_files
%{_bindir}/codelite_indexer
%{_bindir}/codelite_kill_children
%{_bindir}/codelite-make
%{_bindir}/codelite-terminal
%{_bindir}/codelite_xterm
%{_datadir}/codelite
%{_datadir}/locale/*/LC_MESSAGES/codelite.mo
%{_desktopdir}/codelite.desktop
%{_iconsdir}/hicolor/*/apps/codelite.png
%{_libdir}/lib*.so
# stupid hardcoded plugin path -.-
/usr/lib/%{name}
%{_mandir}/man1/codelite*.1.bz2

%changelog
* Sun Feb 26 2017 adrianomorselli <adrianomorselli>
- rebuild for new clang 3.9.1
- removed old stuff
